﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TeamchatSDK.Client;
using TeamchatSDK.Client.Interfaces;

namespace SDKDemo
{
    public class CreateRoomDemo
    {
        public static readonly String bot = "bot@teamchat.com";
        public static readonly String password = "botpwd";
        public static readonly String roomMember1 = "user1@teamchat.com";
        public static readonly String roomMember2 = "user2@teamchat.com";

        public static void Main(String[] args)
        {
            TeamchatAPI api = TeamchatAPIImpl.fromFile("config.json")
                    .setEmail(bot)
                    .setPassword(password);
            Room r = api.context().create()
                    .add(roomMember1)
                    .add(roomMember2);

            api.perform(r.post(new TextChatlet("Hi there")));

            String roomid = r.getId();
            //you can save this roomid to send messages to the same
            //room rather than recreating a new room every time.

            api.perform(api.context().byId(roomid).post(
                    new TextChatlet("Welcome back")));
            Console.ReadKey();
        }
    }
}
