﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TeamchatSDK.Client;
using TeamchatSDK.Client.Attributes;
using TeamchatSDK.Client.Interfaces;

namespace SDKDemo
{
    public class ExpireFormDemo
    {
        public static readonly String bot = "bot@teamchat.com";
        public static readonly String password = "botpwd";

        public static void Main(String[] args)
        {
            TeamchatAPIImpl.fromFile("config.json")
                    .setEmail(bot)
                    .setPassword(password)
                    .startReceivingEvents(new ExpireFormDemo());
            Console.ReadKey();
        }

        /*
         * This method posts a poll
         */
        [OnKeyword("create")]
        public void onTest(TeamchatAPI api)
        {
            api.performPostInCurrentRoom(new PollChatlet().setQuestion("Do you like teamchat?").alias("mypoll"));
        }

        /*
         * This method handles poll replies
         */
        [OnAlias("mypoll")]
        public void onreplytopoll(TeamchatAPI api)
        {
            Console.WriteLine(api.context().currentReply().senderEmail());
            Console.WriteLine(api.context().currentReply().getField("resp"));
            Expirable c = (Expirable)api.context().currentChatlet();
            api.context().currentRoom().reply(c.expireNow());
        }
    }
}
