﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TeamchatSDK.Client;
using TeamchatSDK.Client.Attributes;
using TeamchatSDK.Client.Interfaces;
using TeamchatSDK.Client.Persistence;

namespace SDKDemo
{
    public class HelloWorldBot
    {
        public static readonly String bot = "bot@teamchat.com";
        public static readonly String password = "botpwd";

        /**
         * This method creates instance of teamchat client, login using specified 
         * email/password and wait for messages from other users
         **/
        public static void Main(String[] args)
        {
            TeamchatAPI api = TeamchatAPIImpl.fromFile("config.json")
                    .setEndPoint("enterprise.teamchat.com")
                    .setEmail(bot)
                    .setPassword(password);

            api.startReceivingEvents(new HelloWorldBot());
            Console.ReadKey();
        }

        /**
         * This method posts Hello World message, when any user posts hi message to
         * the logged in user (see main method)
         **/
        [OnKeyword("rise")]
        public void HelloWorld(TeamchatAPI api)
        {
            api.perform(
                    api.context().currentRoom().post(
                            new TextChatlet("Hello World")
                            )
                    );
        }
    }
}
