﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TeamchatSDK.Client;
using TeamchatSDK.Client.Attributes;
using TeamchatSDK.Client.Interfaces;

namespace SDKDemo
{
    public class PostLocationChatletDemo
    {
        public static readonly String bot = "bot@teamchat.com";
        public static readonly String password = "botpwd";
        public static readonly String destUser = "user@teamchat.com";

        public static void Main(String[] args)
        {
            TeamchatAPI api = TeamchatAPIImpl.fromFile("config.json")
                    .setEmail(bot)
                    .setPassword(password);
            api.perform(api.context().create().add(destUser)
                    .post(new LocationChatlet().setQuestion("Please share your location").alias("locsent")));

            api.startReceivingEvents(new PostLocationChatletDemo());

            Console.ReadKey();
        }

        [OnAlias("locsent")]
        public void locSent(TeamchatAPI api)
        {
            Console.WriteLine("Sender:" + api.context().currentReply().senderEmail());
            Console.WriteLine("Location:" + api.context().currentReply().getField("location"));
            Console.WriteLine("Place:" + api.context().currentReply().getField("locname"));
            Console.WriteLine("Lat:" + api.context().currentReply().getField("lat"));
            Console.WriteLine("Long:" + api.context().currentReply().getField("lng"));
            Console.WriteLine("Provider:" + api.context().currentReply().getField("provider"));
            Console.WriteLine("Accuracy:" + api.context().currentReply().getField("accuracy"));
        }
    }
}
