﻿using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TeamchatSDK.Client;
using TeamchatSDK.Client.Interfaces;

namespace SDKDemo
{
    public class PostReportDemo
    {
        public static readonly String bot = "bot@teamchat.com";
        public static readonly String password = "botpwd";
        public static readonly String destUser = "user@teamchat.com";

        private static void addRow(String[] rowToAdd, JArray rows)
        {
            JArray newRow = new JArray();
            foreach (String celldata in rowToAdd)
                newRow.Add(celldata);
            rows.Add(newRow);
        }


        public static void Main(String[] args)
        {
            String[] headers = new String[] { "Item", "Color", "Quantity" };
            String[] row1 = new String[] { "Item1", "Red", "400" };
            String[] row2 = new String[] { "Item2", "Green", "200" };

            JArray rows = new JArray();
            addRow(row1, rows);
            addRow(row2, rows);

            TeamchatAPI api = TeamchatAPIImpl.fromFile("config.json")
                    .setEmail(bot)
                    .setPassword(password);
            api.perform(api.context().create().add(destUser)
                    .post(new ReportChatlet()
                            .setTitle("Demo report")
                            .setHeaders(headers)
                            .setDetails(rows)
                            .setSummary("summitem1", "Total Quantity", "600")
                            ));
            Console.ReadKey();
        }
    }
}
