﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TeamchatSDK.Client;
using TeamchatSDK.Client.Attributes;
using TeamchatSDK.Client.Interfaces;

namespace SDKDemo
{
    public class ReceiveKeywordDemo
    {
        public static readonly String bot = "bot@teamchat.com";
        public static readonly String password = "botpwd";

        [OnKeyword("test", true)]
        public void onTest(TeamchatAPI api)
        {
            Console.WriteLine("Got keyword test");
            Console.WriteLine("\tFull message:" + api.context().currentChatlet().raw());
            Console.WriteLine("\tSent by:" + api.context().currentSenderId());
        }

        public static void Main(String[] args)
        {
            TeamchatAPIImpl.fromFile("config.json")
                    .setEmail(bot)
                    .setPassword(password)
                    .startReceivingEvents(new ReceiveKeywordDemo());
        }
    }
}
