﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TeamchatSDK.Client;
using TeamchatSDK.Client.Attributes;
using TeamchatSDK.Client.Interfaces;

namespace SDKDemo
{
    public class ReceiveReplyDemo
    {
        public static readonly String bot = "bot@teamchat.com";
        public static readonly String password = "botpwd";

        public readonly String[] fieldsToSave = new String[]{
		"name","age","gender"
	};

        [OnKeyword("create")]
        public void onCreate(TeamchatAPI api)
        {
            api.perform(
                    api.context().currentRoom().post(
                            new PrimaryChatlet()
                                .setQuestion("Please enter your details")
                                .setReplyScreen(api.objects().form()
                                        .addField(api.objects().input().label("Name").name("name"))
                                        .addField(api.objects().input().label("Age").name("age"))
                                        .addField(api.objects().select().label("Gender").name("gender")
                                                .addOption("Male")
                                                .addOption("Female"))
                                        )
                                .alias("persdet")
                                ));
        }

        [OnAlias("persdet")]
        public void onData(TeamchatAPI api)
        {
            String name = api.context().currentReply().getField("name");
            String age = api.context().currentReply().getField("age");
            String gender = api.context().currentReply().getField("gender");

            Console.WriteLine("Received data");
            Console.WriteLine("\tName:" + name);
            Console.WriteLine("\tAge:" + age);
            Console.WriteLine("\tGender:" + gender);
        }

        public static void Main(String[] args)
        {
            TeamchatAPIImpl.fromFile("config.json")
                    .setEmail(bot)
                    .setPassword(password)
                    .startReceivingEvents(new ReceiveReplyDemo());
            Console.ReadKey();
        }
    }
}
